# OqlSelectPropertiesClause Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlSelectPropertiesClause:
[legend]

List of all members.

## Public Member Functions

| isDistinct ()
| setDistinct ($orly=true)

## Static Public Member Functions

static | create ()

## Private Attributes

| $distinct = false

## Detailed Description

Definition at line 15 of file OqlSelectPropertiesClause.class.php.

## Member Function Documentation

static OqlSelectPropertiesClause::create | ( |  | ) | `[static]`

Returns:
  OqlSelectPropertiesClause

Reimplemented from OqlProjectionClause.

Definition at line 22 of file OqlSelectPropertiesClause.class.php.

OqlSelectPropertiesClause::isDistinct | ( |  | ) |

Definition at line 27 of file OqlSelectPropertiesClause.class.php.

OqlSelectPropertiesClause::setDistinct | ( | $ | orly = `true` | ) |

Returns:
  OqlSelectPropertiesClause

Definition at line 35 of file OqlSelectPropertiesClause.class.php.

## Member Data Documentation

OqlSelectPropertiesClause::$distinct = false`[private]`

Definition at line 17 of file OqlSelectPropertiesClause.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlSelectPropertiesClause.class.php